Package: org.codehaus.groovy.antlr

## [Java] Class UnicodeEscapingReader

- org.codehaus.groovy.antlr.UnicodeEscapingReader

-     @Deprecated
      public class UnicodeEscapingReader
      extends Reader

  Translates GLS-defined unicode escapes into characters. Throws an exception in the event of an invalid unicode escape being detected.

  No attempt has been made to optimize this class for speed or space.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UnicodeEscapingReader (Reader reader, SourceBuffer sourceBuffer)` Constructor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `close()` Closes this reader by calling close on the underlying reader.
    `` | `public int` | `getUnescapedUnicodeColumnCount()`
    `` | `public int` | `getUnescapedUnicodeOffsetCount()`
    `` | `public int` | `read(char[] cbuf, int off, int len)` Reads characters from the underlying reader.
    `` | `public int` | `read()` Gets the next character from the underlying reader, translating escapes as required.
    `` | `public void` | `setLexer(CharScanner lexer)` Sets the lexer that is using this reader.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Reader` | `read, read, read, read, close, mark, transferTo, skip, markSupported, reset, nullReader, ready, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public UnicodeEscapingReader(Reader reader, SourceBuffer sourceBuffer)

      Constructor.

      Parameters:
        `reader` - The reader that this reader will filter over.

  - ### Method Detail

    - #### @Override public void close()

      Closes this reader by calling close on the underlying reader.

      See Also:
        Reader.close

    - #### public int getUnescapedUnicodeColumnCount()

    - #### public int getUnescapedUnicodeOffsetCount()

    - #### @Override public int read(char[] cbuf, int off, int len)

      Reads characters from the underlying reader.

      See Also:
        Reader.read

    - #### @Override public int read()

      Gets the next character from the underlying reader, translating escapes as required.

      See Also:
        Reader.close

    - #### public void setLexer(CharScanner lexer)

      Sets the lexer that is using this reader. Must be called before the lexer is used.